STATUSREPORT.CGI(1)

NAME
statusreport.cgi - CGI program to report a status for a group of servers

SYNOPSIS
statusreport.cgi --column=COLUMNNAME [options]

DESCRIPTION
statusreport.cgi is a CGI tool to generate a simple HTML report showing the current status of a single column for a group of Xymon hosts.

E.g. You can use this report to get an overview of all of the SSL certificates that are about to expire.

The generated webpage is a simple HTML table, suitable for copying into other documents or e-mail.

statusreport.cgi runs as a CGI program, invoked by your webserver. It is normally run via a wrapper shell-script in the CGI directory for Xymon.

EXAMPLES
The Xymon installation includes two web report scripts using this CGI tool: The certreport.sh script generates a list of SSL server certificates that are yellow or red (i.e. they will expire soon); and the nongreen.sh script generates a report of all statuses that are currently non-green. These can be accessed from a web browser through a URL referencing the script in the Xymon CGI directory (e.g. "/xymon-cgi/xymon-nongreen.sh").

OPTIONS

--column=COLUMNNAME
    Report the status of the COLUMNNAME column.

--all
    Report the status for all hosts known to Xymon. By default, this tool reports only on the hosts found on the current page from where the CGI was invoked (by looking at the "pagepath" cookie).

--filter=CRITERIA
    Only report on statuses that match the CRITERIA setting. See the xymon(1) man-page - in the "xymondboard" command description - for details about specifying filters.

--heading=HTML
    Defines the webpage heading - i.e. the "title" tag in the generated HTML code.

--show-column
    Include the column name in the display.

--show-colors
    Show the status color on the generated webpage. The default is to not show the status color.

--no-colors
    Do not include text showing the current color of each status in the report. This is the default.

--show-summary
    Show only a summary of the important lines in the status message. By default, the entire status message appears in the generated HTML code. This option causes the first non-blank line of the status message to be shown, and also any lines beginning with "&COLOR" which is used by many status messages to point out lines of interest (non-green lines only, though).

--show-message
    Show the entire message on the webpage. This is the default.

--link
    Include HTML links to the host "info" page, and the status page.

--embedded
    Only generate the HTML table, not a full webpage. This can be used to embed the status report into an external webpage.

--env=FILENAME
    Load the environment from FILENAME before executing the CGI.

--area=NAME
    Load environment variables for a specific area. NB: if used, this option must appear before any --env=FILENAME option.

SEE ALSO
xymon(7)